'\"
'\" Generated from file '/home/obermeie/poSoft/tclSrc/sources/build-Irix64/../tkimg/doc/img-dted.man' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>
'\"
.so man.macros
.TH "img-dted" n 1.4 img-dted "Img"
.BS
.SH NAME
img-dted \- Img, DTED Format (dted)
.SH SYNOPSIS
package require \fBTk \fR
.sp
package require \fBimg::dted  ?1.4?\fR
.sp
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.sp
.BE
.SH DESCRIPTION
The package \fBimg::dted\fR is a sub-package of
\fBImg\fR. It can be loaded as a part of the complete Img support,
via \fBpackage require Img\fR, or on its own, via
\fBpackage require img::dted\fR.
.PP
Like all packages of \fBImg\fR it does \fInot\fR provide new
commands, but extends the existing \fBTk\fR command \fBimage\fR so
that it supports files containing raster images in the
DTED Format (dted). More specifically
\fBimg::dted\fR extends \fBTk\fR's \fBphoto\fR
image type.
.PP
The name of the new format handler is \fBdted\fR.
This handler provides new additional configuration options. See
section \fBDTED OPTIONS\fR for more detailed explanations.
.PP
All of the above means that in a call like
.TP
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.PP
.IP [1]
Image data in dted format (options \fB-data\fR and \fB-file\fR) is
detected automatically.
.IP [2]
The format name \fBdted\fR is recognized by the option \fB-format\fR.
In addition the value for the option is treated as list and may
contain any of the special options listed in section
\fBDTED OPTIONS\fR.
.PP
.SH NOTE
This format handler must be loaded explicitly with
\fBpackage require img::dted\fR.
.SH "SUPPORTED DTED TYPES"
.nf

 Interpret DTED terrain elevation data as a grayscale image.

 List of currently supported features:

 Type   |     Read      |     Write     |
        | -file | -data | -file | -data |
 ----------------------------------------
 Gray   | Yes   | Yes   | No    | No   |


.fi
.SH "DTED OPTIONS"
The handler provides the following options:
.TP
\fB-verbose\fR \fIbool\fR
If set to \fBtrue\fR, additional information about the loaded image
is printed to stdout. Default is \fBfalse\fR.
.TP
\fB-nchan\fR \fIint\fR
Specify the number of channels of the generated image.
Default is \fB1\fR, i.e. generate a grayscale image.
.TP
\fB-gamma\fR \fIfloat\fR
Specify a gamma correction to be applied when mapping
the input data to 8-bit image values.
Default is \fB1.0\fR.
.TP
\fB-nomap\fR \fIbool\fR
If set to \fBtrue\fR, no mapping of input values is done.
Use this option, if your elevation file contains
values in the range of \fB0\fR .. \fB255\fR only.
Default is \fBfalse\fR.
.TP
\fB-min\fR \fIshort\fR
Specify the minimum pixel value to be used for mapping
the input data to 8-bit image values.
Default is the minimum value found in the elevation data.
.TP
\fB-max\fR \fIshort\fR
This option is supported for reading only.
.sp
Specify the maximum pixel value to be used for mapping
the input data to 8-bit image values.
Default is the maximum value found in the elevation data.
.PP
.PP
.SH "SEE ALSO"
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm
.SH KEYWORDS
dted, image handling, tk
.SH COPYRIGHT
.nf
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>

.fi