'\"
'\" Generated from file '/home/obermeie/poSoft/tclSrc/sources/build-Irix64/../tkimg/doc/img-ppm.man' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>
'\"
.so man.macros
.TH "img-ppm" n 1.4 img-ppm "Img"
.BS
.SH NAME
img-ppm \- Img, Portable Pixmap format (ppm)
.SH SYNOPSIS
package require \fBTk \fR
.sp
package require \fBimg::ppm  ?1.4?\fR
.sp
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.sp
.BE
.SH DESCRIPTION
The package \fBimg::ppm\fR is a sub-package of
\fBImg\fR. It can be loaded as a part of the complete Img support,
via \fBpackage require Img\fR, or on its own, via
\fBpackage require img::ppm\fR.
.PP
Like all packages of \fBImg\fR it does \fInot\fR provide new
commands, but extends the existing \fBTk\fR command \fBimage\fR so
that it supports files containing raster images in the
Portable Pixmap format (ppm). More specifically
\fBimg::ppm\fR extends \fBTk\fR's \fBphoto\fR
image type.
.PP
The name of the new format handler is \fBppm\fR.
This handler provides additional configuration options. See
section \fBPPM OPTIONS\fR for more detailed explanations.
.PP
All of the above means that in a call like
.TP
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.PP
.IP [1]
Image data in ppm format (options \fB-data\fR and \fB-file\fR) is
detected automatically.
.IP [2]
The format name \fBppm\fR is recognized by the option \fB-format\fR.
In addition the value for the option is treated as list and may
contain any of the special options listed in section
\fBPPM OPTIONS\fR.
.PP
.SH "SUPPORTED PPM TYPES"
This handler supports the PPM (Truecolor) and PGM (Greyscale) image formats.
There are two types of PPM/PGM files: RAW (binary) and ASCII.
The values stored in PPM/PGM files can be unsigned 8-bit or unsigned 16-bit
values.
.nf


 Grayscale (PGM): 8-bit and 16-bit, 1 channel per pixel.
 Truecolor (PPM): 8-bit and 16-bit, 3 channels per pixel.

 List of currently supported features:

 Type              |     Read      |     Write     |
                   | -file | -data | -file | -data |
 ---------------------------------------------------
 PGM  8-bit ASCII  | Yes   | Yes   | No    | No    |
 PGM  8-bit BINARY | Yes   | Yes   | No    | No    |
 PGM 16-bit ASCII  | Yes   | Yes   | No    | No    |
 PGM 16-bit BINARY | Yes   | Yes   | No    | No    |
 PPM  8-bit ASCII  | Yes   | Yes   | Yes   | Yes   |
 PPM  8-bit BINARY | Yes   | Yes   | Yes   | Yes   |
 PPM 16-bit ASCII  | Yes   | Yes   | No    | No    |
 PPM 16-bit BINARY | Yes   | Yes   | No    | No    |


.fi
.SH "PPM OPTIONS"
The handler provides the following options:
.TP
\fB-verbose\fR \fIbool\fR
This option is supported for reading and writing.
.sp
If set to \fBtrue\fR, additional information about the loaded/stored image
is printed to stdout. Default is \fBfalse\fR.
.TP
\fB-scanorder\fR \fIstring\fR
This option is supported for reading only.
.sp
Specify the scanline order of the input image.
Possible values: \fBTopDown\fR or \fBBottomUp\fR. Default is \fBTopDown\fR.
.TP
\fB-gamma\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify a gamma correction to be applied when mapping
16-bit input data to 8-bit image values.
Default is \fB1.0\fR.
.TP
\fB-min\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify the minimum pixel value to be used for mapping
16-bit input data to 8-bit image values.
Default is the minimum value found in the image data.
.TP
\fB-max\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify the maximum pixel value to be used for mapping
16-bit input data to 8-bit image values.
Default is the maximum value found in the image data.
.TP
\fB-ascii\fR \fIbool\fR
This option is supported for writing only.
If set to \fBtrue\fR, the file is written in PPM 8-bit ASCII format (P3).
Default is \fBfalse\fR, i.e. write in PPM 8-bit binary format (P6).
.PP
.PP
.SH "SEE ALSO"
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm
.SH KEYWORDS
image handling, ppm, tk
.SH COPYRIGHT
.nf
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>

.fi