'\"
'\" Generated from file '/home/obermeie/poSoft/tclSrc/sources/build-Irix64/../tkimg/doc/img-raw.man' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>
'\"
.so man.macros
.TH "img-raw" n 1.4 img-raw "Img"
.BS
.SH NAME
img-raw \- Img, Raw Data Format (raw)
.SH SYNOPSIS
package require \fBTk \fR
.sp
package require \fBimg::raw  ?1.4?\fR
.sp
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.sp
.BE
.SH DESCRIPTION
The package \fBimg::raw\fR is a sub-package of
\fBImg\fR. It can be loaded as a part of the complete Img support,
via \fBpackage require Img\fR, or on its own, via
\fBpackage require img::raw\fR.
.PP
Like all packages of \fBImg\fR it does \fInot\fR provide new
commands, but extends the existing \fBTk\fR command \fBimage\fR so
that it supports files containing raster images in the
Raw Data Format (raw). More specifically
\fBimg::raw\fR extends \fBTk\fR's \fBphoto\fR
image type.
.PP
The name of the new format handler is \fBraw\fR.
This handler provides new additional configuration options. See
section \fBRAW OPTIONS\fR for more detailed explanations.
.PP
All of the above means that in a call like
.TP
\fBimage\fR \fBcreate photo\fR ?\fIname\fR? ?\fIoptions\fR?
.PP
.IP [1]
Image data in raw format (options \fB-data\fR and \fB-file\fR) is
detected automatically.
.IP [2]
The format name \fBraw\fR is recognized by the option \fB-format\fR.
In addition the value for the option is treated as list and may
contain any of the special options listed in section
\fBRAW OPTIONS\fR.
.PP
.SH NOTE
This format handler must be loaded explicitly with
\fBpackage require img::raw\fR.
.SH "SUPPORTED RAW TYPES"
.nf

 Grayscale image:  1 channel  of 32-bit floating point   values.
                   1 channel  of 16-bit unsigned integer values.
                   1 channel  of  8-bit unsigned integer values.
 True-color image: 3 channels of 32-bit floating point   values.
                   3 channels of 16-bit unsigned integer values.
                   3 channels of  8-bit unsigned integer values.

 List of currently supported features:

 Type   |     Read      |     Write     |
        | -file | -data | -file | -data |
 ----------------------------------------
 Gray   | Yes   | Yes   | Yes   | Yes   |
 RGB    | Yes   | Yes   | Yes   | Yes   |

 There are 2 supported file formats:
 One with the pure raw data only, the other with a 7 line ASCII header
 of the following form:

     Magic=RAW\\n          File format identifier. Fixed value.
     Width=128\\n          Image width in pixels.
     Height=128\\n         Image height in pixels.
     NumChan=1\\n          Possible values: 1 or 3.
     ByteOrder=Intel\\n    Possible values: "Intel" or "Motorola".
     ScanOrder=TopDown\\n  Possible values: "TopDown" or "BottomUp".
     PixelType=byte\\n     Possible values: "float", "short" or "byte".


.fi
.SH "RAW OPTIONS"
The handler provides the following options:
.TP
\fB-verbose\fR \fIbool\fR
This option is supported for reading and writing.
.sp
If set to \fBtrue\fR, additional information about the loaded/stored image
is printed to stdout. Default is \fBfalse\fR.
.TP
\fB-useheader\fR \fIbool\fR
This option is supported for reading and writing.
.sp
If set to \fBtrue\fR, use the file header information for reading and writing.
Default is \fBtrue\fR.
.TP
\fB-nchan\fR \fIint\fR
This option is supported for reading and writing image data without header.
.sp
Specify the number of channels of the input image.
Default is \fB1\fR.
.TP
\fB-width\fR \fIint\fR
This option is supported for reading image data without header only.
.sp
Specify the width of the input image.
Default is \fB128\fR.
.TP
\fB-height\fR \fIint\fR
This option is supported for reading image data without header only.
.sp
Specify the height of the input image.
Default is \fB128\fR.
.TP
\fB-byteorder\fR \fIstring\fR
This option is supported for reading image data without header only.
.sp
Specify the byteorder of the input image data.
Possible values: \fBIntel\fR or \fBMotorola\fR.
Default is assuming the same byteorder as that of the host computer.
.TP
\fB-scanorder\fR \fIstring\fR
This option is supported for reading and writing image data without header.
.sp
Specify the scanline order of the input image.
Possible values: \fBTopDown\fR or \fBBottomUp\fR.
Default is assuming the same byteorder as that of the host computer.
.TP
\fB-pixeltype\fR \fIstring\fR
This option is supported for reading image data without header only.
.sp
Specify the type of the pixel values.
Possible values: \fBfloat\fR or \fBshort\fR or \fBbyte\fR.
Default is \fBbyte\fR.
.sp
RAW files are always written in \fBbyte\fR pixel format.
.TP
\fB-gamma\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify a gamma correction to be applied when mapping
the input data to 8-bit image values.
Default is \fB1.0\fR.
.TP
\fB-nomap\fR \fIbool\fR
This option is supported for reading only.
.sp
If set to \fBtrue\fR, no mapping of input values is done.
Use this option, if your image already contains RGB
values in the range of \fB0\fR .. \fB255\fR.
Default is \fBfalse\fR.
.TP
\fB-min\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify the minimum pixel value to be used for mapping
the input data to 8-bit image values.
Default is the minimum value found in the image data.
.TP
\fB-max\fR \fIfloat\fR
This option is supported for reading only.
.sp
Specify the maximum pixel value to be used for mapping
the input data to 8-bit image values.
Default is the maximum value found in the image data.
.PP
.PP
.SH "SEE ALSO"
img-bmp, img-dted, img-gif, img-ico, img-intro, img-jpeg, img-pcx, img-pixmap, img-png, img-ppm, img-ps, img-raw, img-sgi, img-sun, img-tga, img-tiff, img-window, img-xbm, img-xpm
.SH KEYWORDS
image handling, raw, tk
.SH COPYRIGHT
.nf
Copyright (c) 1995-2009 Jan Nijtmans <nijtmans@users.sourceforge.net>

.fi